package com.offline.music.playermp3.javabean.response.child;

import java.io.Serializable;

public class ResponseCategory implements Serializable {

    //类别封面
    private String covert;
    //类别标题
    private String twoTitle;

    //类别描述
    /**
     *  PAGE_TYPE_ALBUM : 专辑.歌手名字
     * PAGE_TYPE_LIST ：多个歌手名字
     */
    private String twoSubtitle;


    private String browseId;

    private String videoId;

    private String playListId;

    private String params;
    private String musicVideoType;



    /**
     * 视频Mv合集
     *MUSIC_PAGE_TYPE_USER_CHANNEL
     *
     * 视频Mv单个
     * MUSIC_PAGE_TYPE_USER_CHANNEL
     *
     * 音乐合集列表
     * MUSIC_PAGE_TYPE_PLAYLIST
     *
     * 专辑
     *MUSIC_PAGE_TYPE_ALBUM
     */
    private String pageType;

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public String getMusicVideoType() {
        return musicVideoType;
    }

    public void setMusicVideoType(String musicVideoType) {
        this.musicVideoType = musicVideoType;
    }

    public String getPlayListId() {
        return playListId;
    }

    public void setPlayListId(String playListId) {
        this.playListId = playListId;
    }

    public String getVideoId() {
        return videoId;
    }

    public void setVideoId(String videoId) {
        this.videoId = videoId;
    }

    public String getPageType() {
        return pageType;
    }

    public void setPageType(String pageType) {
        this.pageType = pageType;
    }

    public String getBrowseId() {
        return browseId;
    }

    public void setBrowseId(String browseId) {
        this.browseId = browseId;
    }

    public String getCovert() {
        return covert;
    }

    public void setCovert(String covert) {
        this.covert = covert;
    }

    public String getTwoTitle() {
        return twoTitle;
    }

    public void setTwoTitle(String twoTitle) {
        this.twoTitle = twoTitle;
    }

    public String getTwoSubtitle() {
        return twoSubtitle;
    }

    public void setTwoSubtitle(String twoSubtitle) {
        this.twoSubtitle = twoSubtitle;
    }
}
